Update properties of a Supplier
PATCH
suppliers/{supplierId}
Modifies only the specified attributes in the request body for the identified Supplier. Attributes not included in the request remain unchanged.
Resource Information
| Method and URI | PATCH https://api.aps.autodesk.com/fusion-operations/v2/suppliers/{supplierId} |
| Authentication Context | No security required |
| Required OAuth Scopes | data:read data:write |
| Data Format | JSON |
Request
Headers
| Authorization* string | JWT Access Token |
| Content-Type* string | Must be application/json |
* Required
Request
URI Parameters
| supplierId int | Unique identifier of the Supplier to update. |
Request
Body Structure
The Supplier attributes to be updated, conforming to the specified schema. Only the provided fields will be modified.
Expand all
| code string | Supplier code
Max length: 255 |
| name string | Supplier name |
| vatNumber string | Supplier VAT number |
| expirationDate string | Supplier expiration date (ISO 8601 date, e.g. 2017-06-21) |
| contacts array: object | Supplier contacts |
| name* string | Contact name |
| email string | Contact email |
| phoneNumber string | Contact phone number |
| default boolean | Is default contact |
| anyOf | |
| 0 | |
| 1 | |
| addresses array: object | Supplier addresses |
| code* string | Address code
Max length: 255 |
| name string | Address name
Max length: 255 |
| city string | Address city
Max length: 255 |
| street* string | Address street |
| postalCode string | Address postal code |
| state string | Address state
Max length: 255 |
| country* string | Address country (ISO 3166-1 alpha-2 code) |
| default boolean | Is default address |
* Required
Response
HTTP Status Code Summary
| 200 OK | Supplier updated successfully. |
| 400 Bad Request | Bad request due to invalid data. |
| 401 Unauthorized | The access token is invalid. It may have either expired or may not be a three-legged access token. Please verify the token and retry the request. |
| 403 Forbidden | The request was successfully validated but lacked required permission. Please verify your token permissions and retry the request. |
| 404 Not Found | The resource in the path does not exist. |
| 429 Too Many Requests | Rate limit exceeded; wait some time before retrying. |
| 500 Internal Server Error | An unknown server-side error occurred. Please try again later. If the problem persists, please contact support. |
Response
Header (429)
| Retry-After integer | The number of seconds to wait before retrying the request. |
Response
Body Structure (200)
Expand all
| id int | Unique identifier of the supplier. |
| code string | Supplier code
Max length: 255 |
| name string | Supplier name |
| vatNumber string | Supplier VAT number |
| expirationDate string | Supplier expiration date (ISO 8601 date, e.g. 2017-06-21) |
| contacts array: object | Supplier contacts |
| id int | Unique identifier of the contact. |
| name string | Contact name |
| email string | Contact email |
| phoneNumber string | Contact phone number |
| default boolean | Is default contact |
| anyOf | |
| 0 | |
| 1 | |
| addresses array: object | Supplier addresses |
| id int | Unique identifier of the address. |
| code string | Address code
Max length: 255 |
| name string | Address name
Max length: 255 |
| city string | Address city
Max length: 255 |
| street string | Address street |
| postalCode string | Address postal code |
| state string | Address state
Max length: 255 |
| country string | Address country (ISO 3166-1 alpha-2 code) |
| default boolean | Is default address |
Example
Supplier updated successfully.
Partial Supplier code and name updates example
Request
curl -v 'https://developer.api.autodesk.com/fusion-operations/v2/suppliers/:supplierId' \
-X 'PATCH' \
-H 'Authorization: ' \
-H 'Content-Type: application/json' \
-d '{
"code": "Updated supplier code",
"name": "Updated supplier name"
}'
Show More
Partial Supplier contacts update example
Request
curl -v 'https://developer.api.autodesk.com/fusion-operations/v2/suppliers/:supplierId' \
-X 'PATCH' \
-H 'Authorization: ' \
-H 'Content-Type: application/json' \
-d '{
"contacts": [
{
"name": "Updated contact name 1",
"email": "updated.email1@example.com",
"phoneNumber": "1234567890",
"default": true
}
]
}'
Show More
Partial Supplier addresses update example
Request
curl -v 'https://developer.api.autodesk.com/fusion-operations/v2/suppliers/:supplierId' \
-X 'PATCH' \
-H 'Authorization: ' \
-H 'Content-Type: application/json' \
-d '{
"addresses": [
{
"code": "Updated address code 1",
"name": "Updated address name 1",
"city": "Updated city",
"street": "Updated street",
"postalCode": "12345",
"state": "Updated state",
"country": "PT",
"default": true
}
]
}'
Show More
Response
{
"id": 1,
"code": "Updated supplier code",
"name": "Updated supplier name",
"vatNumber": "Updated VAT number",
"expirationDate": "2025-01-20",
"contacts": [
{
"id": 1,
"name": "Updated contact name 1",
"email": "updated.email1@example.com",
"phoneNumber": "1234567890",
"default": true
},
{
"id": 2,
"name": "Updated contact name 2",
"email": "updated.email2@example.com",
"phoneNumber": "0987654321",
"default": false
}
],
"addresses": [
{
"id": 1,
"code": "Updated address code 1",
"name": "Updated address name 1",
"city": "Updated city",
"street": "Updated street",
"postalCode": "12345",
"state": "Updated state",
"country": "PT",
"default": true
},
{
"id": 2,
"code": "Updated address code 2",
"name": "Updated address name 2",
"city": "Different city",
"street": "Different street",
"postalCode": "67890",
"state": "Different state",
"country": "PT",
"default": false
}
]
}
Show More